QGIS Application - Bug report #12152
Consider point rotation for rotated maps
Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20345
Description

Rotated symbols that have a data-defined rotation field or are rotated with "Symbology -> advanced -> rotation field" need to be treated
similar to manually placed fonts.

An example:

A cadastral map with a symbol indicating the flow-direction of a river. See attached image at angle 0. If | rotate the map, the arrow symbol
should still correctly indicate the flow-direction of the river - but with the current behaviour it stays at the original rotation value (see
screenshot at 45 degree angle).

There may be some cases where the symbols shouldn't be rotated with the map, but | think in most cases you want the symbol to be
rotated as well. Maybe, for a future QGIS version, there needs to be an option whether the symbol should be rotated with the map or not.
For now we would just add the map rotation to the symbol rotation as well.

Associated revisions

Revision 5397d6b4 - 2015-02-11 09:03 PM - Sandro Santilli
Add map rotation to symbol rotation
Only affects point marker symbols with data-defined rotation.

Fix #12152

History

#1 - 2015-02-08 03:49 AM - Sandro Santilli
- Affected QGIS version changed from 2.6.0 to master
- Tag set to rotation

#2 - 2015-02-08 07:24 AM - Sandro Santilli

Related commit (fix for manually-placed labels): https:/github.com/strk/QGIS/commit/297c30da805115c9b7a4592f295c6da4fc55373b

#3 - 2015-02-10 04:01 AM - Sandro Santilli
- % Done changed from 0 to 20

Ready for test: https://github.com/qgis/QGIS/pull/1895
https://github.com/strk/QGIS/commit/297c30da805115c9b7a4592f295c6da4fc55373b
https://github.com/qgis/QGIS/pull/1895

#4 - 2015-02-10 04:05 AM - Sandro Santilli

It looks like data-defined rotation does not work for symbols attached to /inear features. Can you confirm that ?

Should that be considered a bug of its own ?

#5 - 2015-02-10 07:46 AM - Andreas Neumann

Do you mean for "marker lines"?

I don't know. | have not tried. | usually use the "auto" rotation of markers at a marker line - which is probably what covers 99% of the use cases. In the "auto

rotation" scenario, the markers are rotated perpendicular to the line at segments and according to the bisector angle at vertices (I think).

#6 - 2015-02-10 07:57 AM - Sandro Santilli

I mean for markers you apply to lines. For example arrows at the first or last point of lines.

There seem to be an additional option in that case, which is "rotate” symbol. With "rotate" the marker is rotated following the line orientation, otherwise it

isn't. In any case the Advanced->RotationField seems to do nothing.

#7 - 2015-02-10 08:12 AM - Andreas Neumann

Ok - got it. It is probably a bug if it isn't working. But then | don't see a use-case why one wants to completely rotate a line.

It is probably a bug that this option is still available for line or polygon geometries.

| thought there was a pull request to remove these advanced options, because they are also available now at the symbol level.

In my opinion, this rotation option only makes sense for point data.

#8 - 2015-02-10 08:21 AM - Sandro Santilli

If you find that ticket please link it here. It would be useful to do cleanups before 2.8 gets out.

#9 - 2015-02-11 12:04 PM - Sandro Santilli
- Status changed from Open to Closed

Fixed in changeset commit:"5397d6b41d2ba8221d356fcb71fed06dc907ca48".

#10 - 2015-02-11 12:06 PM - Sandro Santilli
- % Done changed from 20 to 100

Files
qgis_rotated_symbols_at_angle_0.png 44.4 KB 2015-02-08 Andreas Neumann
qgis_rotated_symbols_at_angle_45.png 70.8 KB 2015-02-08 Andreas Neumann

2025-04-27 22



